<div fxFlex.lt-sm="100" fxFlex.gt-sm="60" class="main-content">

  <a class="breadcrumbs__item"
     [routerLink]="['../']">
    <span>К списку новостей</span>
  </a>

  <mat-card class="news_detail" *ngIf="!isLoad; else waitMessage">
    <div class="news_detail-title__inner">
      <h2>{{data?.title}}</h2>
      <a *ngIf="data" color="primary" [routerLink]="['../', data?.id, 'edit']" class="news_item-link">
        <mat-icon svgIcon="pencil"></mat-icon>
      </a>
    </div>

    <mat-card-content>
      <div fxLayout="column" fxLayoutAlign="space-around" class="news_description-wrap">

        <p class="news_description">
          <quill-view-html [content]="data?.content "></quill-view-html>
        </p>
        <div fxLayout="row" class="news_detail-wrap">

          <span [ngStyle]="{'color': '#a5a5a5', 'font-size': 'small'}">{{data?.date_news | date}}</span>

        </div>
      </div>

    </mat-card-content>

    <mat-card-actions *ngIf="data?.files">
      <div *ngFor="let file of data?.files">
        <button mat-flat-button (click)="initFileData(file?.id)" class="news_item-file">
          <mat-icon [svgIcon]=" file.type == '.pdf'? 'open-in-new': 'download'"
                    class="mr-8"></mat-icon>
          <span>{{file?.title}} {{file?.id}}</span>
        </button>
      </div>
    </mat-card-actions>

  </mat-card>
</div>

<ng-template #waitMessage>
  <div class="main-content">
    <mat-card class="news_detail">
      <p>Подождите, новость загружается</p>
    </mat-card>
  </div>
</ng-template>

<app-loader *ngIf="isLoad"></app-loader>
